Debian Bug report logs - #700489
ITP: lua-ldoc -- a lua documentation system

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julian Wollrath <jwollrath@web.de>

Date: Wed, 13 Feb 2013 10:45:02 UTC

Owned by: Julian Wollrath <jwollrath@web.de>

Severity: wishlist

Fixed in version lua-ldoc/1.3.13-2

Done: Julian Wollrath <jwollrath@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700489; Package wnpp. (Wed, 13 Feb 2013 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Wollrath <jwollrath@web.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 13 Feb 2013 10:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Wollrath <jwollrath@web.de>
To: submit@bugs.debian.org
Subject: ITP: lua-ldoc -- a lua documentation system
Date: Wed, 13 Feb 2013 11:42:07 +0100
Package: wnpp
Severity: wishlist

* Package name: lua-ldoc
* Version: 1.3.3
* Homepage: http://stevedonovan.github.com/ldoc/
* Licence: MIT
* Short description: A LuaDoc-compatible documentation generation
  system
* Description: LDoc is a LuaDoc-compatible documentation generation
  system for Lua source code. It parses the declaration and
  documentation comments in a set of Lua source files and produces a
  set of XHTML pages descrbing the commented declarations and functions.

The package can be found under http://rbw.goe.net/jw/ and it is lintian
clean. I asked on debian-mentors for sponsoring.


With best regards,
Julian Wollrath



Added indication that bug 700489 blocks 697428 Request was from Julian Wollrath <jwollrath@web.de> to control@bugs.debian.org. (Wed, 13 Feb 2013 15:09:04 GMT) Full text and rfc822 format available.

Owner recorded as Julian Wollrath <jwollrath@web.de>. Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Wed, 13 Feb 2013 21:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700489; Package wnpp. (Sun, 24 Mar 2013 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Wollrath <jwollrath@web.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 24 Mar 2013 14:09:07 GMT) Full text and rfc822 format available.

Message #14 received at 700489@bugs.debian.org (full text, mbox):

From: Julian Wollrath <jwollrath@web.de>
To: 700489@bugs.debian.org
Subject: ITP: lua-ldoc -- a lua documentation system
Date: Sun, 24 Mar 2013 15:06:06 +0100
The packaging can be found under
http://anonscm.debian.org/gitweb/?p=pkg-lua/lua-ldoc.git

Best regards,
Julian Wollrath



Added indication that bug 700489 blocks 706824 Request was from Romain Francoise <rfrancoise@debian.org> to control@bugs.debian.org. (Sat, 11 May 2013 09:36:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 700489: 700783 Request was from Arnaud Fontaine <arnau@debian.org> to control@bugs.debian.org. (Wed, 29 May 2013 07:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Wollrath <jwollrath@web.de>:
Bug#700489; Package wnpp. (Wed, 29 May 2013 08:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Wollrath <jwollrath@web.de>. (Wed, 29 May 2013 08:12:07 GMT) Full text and rfc822 format available.

Message #23 received at 700489@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: 700489@bugs.debian.org
Cc: Julian Wollrath <jwollrath@web.de>, debian-mentors@lists.debian.org, pkg-lua-devel@lists.alioth.debian.org
Subject: Re: RFS: new package lua-ldoc
Date: Wed, 29 May 2013 17:10:22 +0900
[Message part 1 (text/plain, inline)]
Hello,

I looked at your  package as I need it to package  Awesome 3.5. Here are
some issues I found:

* You don't need to Build-Depends on quilt and add it in debian/rules as
  you are already using 3.0 (quilt) as source/format[0].

* I tried quickly but I cannot build the package with cowbuilder. I have
  attached the  log to this  email.  It may be  an issue in  my building
  environment (I built  myself lua-unit and lua-discount as  it is still
  in NEW)  and the fact  that I don't  know anything about  lua packages
  sure does not help ;-).

* There seems  to be a new  upstream release (1.3.13), could  you please
  package it?

If you cannot find anybody else  which knows about lua packaging, then I
will sponsor it if that's ok with you of course.

Cheers,
-- 
Arnaud Fontaine

[0] http://wiki.debian.org/Projects/DebSrc3.0

[lua-ldoc.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700489; Package wnpp. (Wed, 29 May 2013 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Wollrath <jwollrath@web.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 May 2013 15:27:04 GMT) Full text and rfc822 format available.

Message #28 received at 700489@bugs.debian.org (full text, mbox):

From: Julian Wollrath <jwollrath@web.de>
To: Arnaud Fontaine <arnau@debian.org>
Cc: 700489@bugs.debian.org, debian-mentors@lists.debian.org, pkg-lua-devel@lists.alioth.debian.org
Subject: Re: RFS: new package lua-ldoc
Date: Wed, 29 May 2013 17:23:23 +0200
Hello.

> * You don't need to Build-Depends on quilt and add it in debian/rules
> as you are already using 3.0 (quilt) as source/format[0].
I did not know that, thanks for the tip. I changed it.

> * I tried quickly but I cannot build the package with cowbuilder. I
> have attached the  log to this  email.  It may be  an issue in  my
> building environment (I built  myself lua-unit and lua-discount as
> it is still in NEW)  and the fact  that I don't  know anything about
> lua packages sure does not help ;-).
There were missing build-dependencies which are now added. Thanks for
the hint that it did not build.

> * There seems  to be a new  upstream release (1.3.13), could  you
> please package it?
I had this on my todo list and finally got to it today. See
http://git.debian.org/?p=pkg-lua/lua-ldoc.git

> If you cannot find anybody else  which knows about lua packaging,
> then I will sponsor it if that's ok with you of course.
Enrico Tassi already offered to sponsor. Anyhow thank you for the
offer.


Best regards,
Julian Wollrath



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 03 Jun 2013 09:39:56 GMT) Full text and rfc822 format available.

Reply sent to Julian Wollrath <jwollrath@web.de>:
You have taken responsibility. (Tue, 02 Jul 2013 15:03:05 GMT) Full text and rfc822 format available.

Notification sent to Julian Wollrath <jwollrath@web.de>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 15:03:05 GMT) Full text and rfc822 format available.

Message #35 received at 700489-close@bugs.debian.org (full text, mbox):

From: Julian Wollrath <jwollrath@web.de>
To: 700489-close@bugs.debian.org
Subject: Bug#700489: fixed in lua-ldoc 1.3.13-2
Date: Tue, 02 Jul 2013 15:01:29 +0000
Source: lua-ldoc
Source-Version: 1.3.13-2

We believe that the bug you reported is fixed in the latest version of
lua-ldoc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700489@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Wollrath <jwollrath@web.de> (supplier of updated lua-ldoc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Jul 2013 12:21:05 +0200
Source: lua-ldoc
Binary: lua-ldoc
Architecture: source all
Version: 1.3.13-2
Distribution: unstable
Urgency: low
Maintainer: Julian Wollrath <jwollrath@web.de>
Changed-By: Julian Wollrath <jwollrath@web.de>
Description: 
 lua-ldoc   - LuaDoc-compatible documentation generation system
Closes: 700489
Changes: 
 lua-ldoc (1.3.13-2) unstable; urgency=low
 .
   * Update debian/copyright.
 .
 lua-ldoc (1.3.13-1) unstable; urgency=low
 .
   * Initial release. (Closes: #700489)
Checksums-Sha1: 
 1d89cdb417570e6d0c8efb8e4c05761d78aa5e36 1317 lua-ldoc_1.3.13-2.dsc
 8394a82d1317a190ca7a96018d1a76e946ae7b95 105135 lua-ldoc_1.3.13.orig.tar.gz
 d04b44144ed4779fe9540b0aec1b16bb9205345c 4326 lua-ldoc_1.3.13-2.debian.tar.gz
 029e964d0c302989b33e98fe0841c527788e9756 87710 lua-ldoc_1.3.13-2_all.deb
Checksums-Sha256: 
 f9fb6a8f4cda85b1ac3aa494d3e9cd3c302d7d4d02cdcfe6462339e1440a50fc 1317 lua-ldoc_1.3.13-2.dsc
 ab989e34a212ef2fb17725a525bbdd00ccd5bf83080e8fd9bcbd2c6eec6290b9 105135 lua-ldoc_1.3.13.orig.tar.gz
 2727e6e9f44dd92a5aabd843500cd5261e5bc1a0e3f1e99fe9d1c2a719e1e82d 4326 lua-ldoc_1.3.13-2.debian.tar.gz
 dcd8bf29c6382f6f8beef4a4ea83d59284ed729eaaa72b4e2bf4a6b4d79ca398 87710 lua-ldoc_1.3.13-2_all.deb
Files: 
 093a0e0a91ac26083137b084d0c0a6f9 1317 interpreters optional lua-ldoc_1.3.13-2.dsc
 24770f970aa0483d37e5a5d655f0ac8b 105135 interpreters optional lua-ldoc_1.3.13.orig.tar.gz
 ebe6829b29e3266c65656de853a601ab 4326 interpreters optional lua-ldoc_1.3.13-2.debian.tar.gz
 193df0f7fdc4dbbc62bf9e57692deb37 87710 interpreters optional lua-ldoc_1.3.13-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHSzBMACgkQ7kkcPgEj8vLUOwCdEU7zkJ8/swnd8EV+DFMpiGf2
ew0An1A94BM/nmUOQD42w5REPG4B3JSK
=h2HG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:40:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:50:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.